#####################################################################
#                                                                   #
# __init__.py                                                       #
#                                                                   #
# Copyright 2018, Chris Billington                                  #
#                                                                   #
# This file is part of the autocython project (see                  #
# https://bitbucket.org/cbillington/autocython) and is licensed     #
# under  the Simplified BSD License. See the license.txt file in    #
# the root of the project for the full license.                     #
#                                                                   #
#####################################################################
from __future__ import print_function, unicode_literals, division, absolute_import
import sys
PY2 = sys.version_info.major == 2
if PY2:
    str = unicode

from .autocython import (PLATFORM_SUFFIX, ensure_extensions_compiled,
                         import_extension)

try:
    from .__version__ import __version__
except ImportError:
    # Version file has not been autogenerated from build process:
    __version__ = None

__all__ = ['PLATFORM_SUFFIX', 'ensure_extensions_compiled', 'import_extension']